Subject: For Process Trainer
From: Shubhangi Verma <[email-masked]>
To: [email-masked]
Date: Fri, 12 Feb 2021 13:45:38 +0530

Hi

I have given the test many times for different profiles and one of you guys
have also asked me to come to the office for face to face interview.
However I did not get any confirmation after that. I want to know what is
going on is this organization even genuine or its just fake mails and calls
that I am getting.

Regards
Shubhangi